Subject: bug#7979: 24.0.50; emacs loops when it loses an emacsclient connection

From: "Robert Marshall" <[email-masked]>
Date: Fri, 4 Feb 2011 19:22:07 +0000

On Fri, 04 Feb 2011, Glenn Morris wrote:

> robert marshall wrote:
> 
>> If I ssh onto the machine running an emacs instance and connect
>> using emacsclient -c and the ssh connection goes down, the emacs
>> instance becomes unresponsive,
> 
> Sounds like the long-standing issue from etc/PROBLEMS:
> 
>     ** When Emacs is compiled with Gtk+, closing a display kills
>        Emacs.
>     [...]  Thus, for instance, when Emacs is run as a server on a
>     text terminal, and an X frame is created, and the X server for
>     that frame crashes or exits unexpectedly, Emacs must exit to
>     prevent a GTK error that would result in an endless loop.
> 
> Although yours is looping when it should be exiting...
> 
>> In GNU Emacs 24.0.50.1 (i686-pc-linux-gnu, GTK+ Version 2.20.1)
>>  of 2011-02-03 on faure.capuchin.co.uk

It does indeed - though the text in my problems file says

** Emacs compiled with Gtk+ may loop forever if a display crashes.

which appears to exactly  match what I see

The bug can - I think - be closed as a known issue

Robert
-- 
Links and things http://rmstar.blogspot.com/
Robert Marshall